Bug 134340 - %b format option returns zero for file size
Summary: %b format option returns zero for file size
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
(Show other bugs)
Version: 2
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-01 15:02 UTC by Ade Rixon
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-06 12:14:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ade Rixon 2004-10-01 15:02:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.3)
Gecko/20040910 MultiZilla/1.6.4.0b

Description of problem:
Using the following command to generate thumbnail images:
$ convert -resize 160x160 -font helvetica -fill white -box "dim gray"
-pointsize 10 -draw 'text 2,9 "%t (%b)"' file.jpg file_thumb.jpg

The resulting text box in the output image has a value of 0.0 for the
size of the input file (%b format specifier). This worked correctly on
older releases of ImageMagick.

Also reported here:
http://studio.imagemagick.org/pipermail/magick-bugs/2003-June/001324.html

Version-Release number of selected component (if applicable):
ImageMagick-5.5.7.15-1

How reproducible:
Always

Steps to Reproduce:
1. Convert an image using the above command.
2. View the image and check the value within brackets in the text box.
    

Actual Results:  Text box says "file (0.0)".

Expected Results:  Based on previous results, should say (e.g.) "file
(66Kb)".

Additional info:

Comment 1 Matthew Miller 2005-04-26 16:36:23 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Ade Rixon 2005-05-06 11:03:16 UTC
Thanks, seems to be fixed now in ImageMagick-6.2.2.0-1.fc3.

Comment 3 Matthew Miller 2005-05-06 12:14:23 UTC
thanks


Note You need to log in before you can comment on or make changes to this bug.